
public class RemoteLoader {
 
	public static void main(String[] args) {
		RemoteControlWithUndo remoteControl = new RemoteControlWithUndo();
 
		Light livingRoomLight = new Light("Living Room");
 
		LightOnCommand    livingRoomLightOn   = new LightOnCommand(livingRoomLight);
		LightOffCommand   livingRoomLightOff  = new LightOffCommand(livingRoomLight);
 
		remoteControl.setCommand(0, livingRoomLightOn, livingRoomLightOff);
 
		System.out.println("About to push ON 0");
		remoteControl.onButtonWasPushed(0);
	    System.out.println("About to push OFF 0");
		remoteControl.offButtonWasPushed(0);
		System.out.println(remoteControl);		
	    System.out.println("About to push UNDO");
		remoteControl.undoButtonWasPushed();
		System.out.println();

	    System.out.println("About to push OFF 0");
		remoteControl.offButtonWasPushed(0);
	    System.out.println("About to push ON 0");
		remoteControl.onButtonWasPushed(0);
		System.out.println(remoteControl);
        System.out.println("About to push UNDO");		
		remoteControl.undoButtonWasPushed();
        System.out.println();

		CeilingFan ceilingFan = new CeilingFan("Living Room");
   
		CeilingFanMediumCommand   ceilingFanMedium    = new CeilingFanMediumCommand(ceilingFan);
		CeilingFanHighCommand     ceilingFanHigh      = new CeilingFanHighCommand(ceilingFan);
		CeilingFanOffCommand      ceilingFanOff       = new CeilingFanOffCommand(ceilingFan);
  
		remoteControl.setCommand(0, ceilingFanMedium, ceilingFanOff);
		remoteControl.setCommand(1, ceilingFanHigh, ceilingFanOff);
   
        System.out.println("About to push ON 0");
		remoteControl.onButtonWasPushed(0);
        System.out.println("About to push OFF 0");
		remoteControl.offButtonWasPushed(0);
		System.out.println(remoteControl);
        System.out.println("About to push UNDO");
		remoteControl.undoButtonWasPushed();
	    System.out.println();

        System.out.println("About to push ON 1");
		remoteControl.onButtonWasPushed(1);
		System.out.println(remoteControl);
        System.out.println("About to push UNDO 1");
		remoteControl.undoButtonWasPushed();
	}
}
